> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# List Collection Items

GET https://api.webflow.com/collections/{collection_id}/items

Get all items for a collection

Reference: https://developers.webflow.com/data/v1.0.0/reference/cms/items/list-items

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `collection_id` (string, required) — Unique identifier for a Collection

### Query parameters

- `offset` (integer, optional) — Offset used for pagination if the results have more than limit records
- `limit` (integer, optional) — Maximum number of records to be returned (max limit: 100)

### Headers

- `Accept-Version` (string, optional) — The API version

## Response

### 200

Request was successful

- `items` (list of CollectionItem, optional) — List of Items within the collection
- `count` (integer, optional) — Number of items returned
- `limit` (integer, optional, default: 100) — The limit specified in the request
- `offset` (integer, optional, default: 0) — The offset specified for pagination
- `total` (integer, optional) — Total number of items in the collection

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### CollectionItem

The fields that define the schema for a given Item are based on the Collection that Item belongs to. Beyond the user defined fields, there are a handful of additional fields that are automatically created for all items

- `_archived` (boolean, optional, default: false) — Boolean determining if the Item is set to archived
- `_draft` (boolean, optional, default: false) — Boolean determining if the Item is set to draft
- `_id` (string, optional) — Unique identifier for the Item
- `_cid` (string, optional) — Unique identifier for the Collection the Item belongs within
- `name` (string, optional) — Name given to the Item
- `slug` (string, optional) — URL structure of the Item in your site. Note: Updates to an item slug will break all links referencing the old slug.

## Examples

**Response**

```json
{
  "items": [
    {
      "_archived": false,
      "_draft": false,
      "_id": "582b900cba19143b2bb8a759",
      "_cid": "580e63fc8c9a982ac9b8b745",
      "name": "Exciting blog post title",
      "slug": "exciting-post",
      "color": "#a98080",
      "post-body": "<p>Blog post contents...</p>",
      "post-summary": "Summary of exciting blog post",
      "main-image": {
        "fileId": "580e63fe8c9a982ac9b8b749",
        "url": "https://dev-assets.website-files.com/580e63fc8c9a982ac9b8b744/580e63fe8c9a982ac9b8b749_1477338110257-image20.jpg"
      },
      "author": "580e640c8c9a982ac9b8b778",
      "updated-on": "2016-11-15T22:45:32.647Z",
      "updated-by": "Person_5660c5338e9d3b0bee3b86aa",
      "created-on": "2016-11-15T22:45:32.647Z",
      "created-by": "Person_5660c5338e9d3b0bee3b86aa",
      "published-on": null,
      "published-by": null
    }
  ],
  "count": 1,
  "limit": 1,
  "offset": 0,
  "total": 5
}
```

**SDK Code**

```python Items_list-items_example
import requests

url = "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items"

querystring = {"offset":"0","limit":"100"}

headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Items_list-items_example
const url = 'https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100';
const options = {
  method: 'GET',
  headers: {'Accept-Version': '1.0.0', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Items_list-items_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Items_list-items_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Items_list-items_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Items_list-items_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100', [
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Items_list-items_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Items_list-items_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?offset=0&limit=100")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```